Package com.collibra.dgc.core.api.dto.mapping

# Class AddMappingRequest

Object
AddMappingRequest

All Implemented Interfaces:
  `Serializable`

public class AddMappingRequest extends Object implements Serializable
The properties of the mapping to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddMappingRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddMappingRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddMappingRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getDescription()`
  The description of the mapped resource.
  `String`
  `getExternalEntityId()`
  Required. The external ID of the mapped resource.
  `String`
  `getExternalEntityUrl()`
  The external URL of the mapped resource.
  `String`
  `getExternalSystemId()`
  Required. The ID of the external system that the mapped resource belongs to.
  `UUID`
  `getId()`
  The ID of the new mapping.
  `Long`
  `getLastSyncDate()`
  The timestamp (in UTC time standard) of the last synchronization of mapped resource.
  `UUID`
  `getMappedResourceId()`
  The ID of the mapped resource.
  `SyncAction`
  `getSyncAction()`
  The type of the action performed during last successful synchronization.
  `int`
  `hashCode()`
  `void`
  `setDescription(String description)`
  The description of the mapped resource.
  `void`
  `setExternalEntityId(String externalEntityId)`
  Required. The external ID of the mapped resource.
  `void`
  `setExternalEntityUrl(String externalEntityUrl)`
  The external URL of the mapped resource.
  `void`
  `setExternalSystemId(String externalSystemId)`
  Required. The ID of the external system that the mapped resource belongs to.
  `void`
  `setId(UUID id)`
  The ID of the new mapping.
  `void`
  `setLastSyncDate(Long lastSyncDate)`
  The timestamp (in UTC time standard) of the last synchronization of mapped resource.
  `void`
  `setMappedResourceId(UUID mappedResourceId)`
  The ID of the mapped resource.
  `void`
  `setSyncAction(SyncAction syncAction)`
  The type of the action performed during last successful synchronization.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddMappingRequest

    public AddMappingRequest()

- ## Method Details

  - ### builder

    public static AddMappingRequest.Builder builder()

  - ### getId

    public UUID getId()
    The ID of the new mapping.

  - ### getExternalSystemId

    public String getExternalSystemId()
    Required. The ID of the external system that the mapped resource belongs to.

  - ### getExternalEntityId

    public String getExternalEntityId()
    Required. The external ID of the mapped resource.

  - ### getExternalEntityUrl

    public String getExternalEntityUrl()
    The external URL of the mapped resource.

  - ### getDescription

    public String getDescription()
    The description of the mapped resource.

  - ### getMappedResourceId

    public UUID getMappedResourceId()
    The ID of the mapped resource.

  - ### getLastSyncDate

    public Long getLastSyncDate()
    The timestamp (in UTC time standard) of the last synchronization of mapped resource.

  - ### getSyncAction

    public SyncAction getSyncAction()
    The type of the action performed during last successful synchronization.

  - ### setId

    public void setId(UUID id)
    The ID of the new mapping.

  - ### setExternalSystemId

    public void setExternalSystemId(String externalSystemId)
    Required. The ID of the external system that the mapped resource belongs to.

  - ### setExternalEntityId

    public void setExternalEntityId(String externalEntityId)
    Required. The external ID of the mapped resource.

  - ### setExternalEntityUrl

    public void setExternalEntityUrl(String externalEntityUrl)
    The external URL of the mapped resource.

  - ### setDescription

    public void setDescription(String description)
    The description of the mapped resource.

  - ### setMappedResourceId

    public void setMappedResourceId(UUID mappedResourceId)
    The ID of the mapped resource.

  - ### setLastSyncDate

    public void setLastSyncDate(Long lastSyncDate)
    The timestamp (in UTC time standard) of the last synchronization of mapped resource.

  - ### setSyncAction

    public void setSyncAction(SyncAction syncAction)
    The type of the action performed during last successful synchronization.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`